<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tipoarticulo{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion,$codigotipoarticulo){
	$sql="INSERT INTO tipoarticulo (nombre,descripcion,codigotipoarticulo,condicion) VALUES ('$nombre','$descripcion','$codigotipoarticulo','1')";
	return ejecutarConsulta($sql);
}

public function editar($idtipoarticulo,$nombre,$descripcion,$codigotipoarticulo){
	$sql="UPDATE tipoarticulo SET nombre='$nombre',descripcion='$descripcion', codigotipoarticulo='$codigotipoarticulo' 
	WHERE idtipoarticulo='$idtipoarticulo'";
	return ejecutarConsulta($sql);
}
public function desactivar($idtipoarticulo){
	$sql="UPDATE tipoarticulo SET condicion='0' WHERE idtipoarticulo='$idtipoarticulo'";
	return ejecutarConsulta($sql);
}
public function activar($idtipoarticulo){
	$sql="UPDATE tipoarticulo SET condicion='1' WHERE idtipoarticulo='$idtipoarticulo'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtipoarticulo){
	$sql="SELECT * FROM tipoarticulo WHERE idtipoarticulo='$idtipoarticulo'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM tipoarticulo";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM tipoarticulo WHERE condicion=1";
	return ejecutarConsulta($sql);
}

}

 ?>
